//=============================================================================
// DashToggle.js v1.0.0
//=============================================================================

/*:
 * @plugindesc Dash button processing changed from continuous press to toggle.
 * @author Derek Chestnut (dbchest)
 *
 * @help This plugin does not provide plugin commands.
 *
 */

(function() {
    
    //-----------------------------------------------------------------------------
    // Game_Player
    //
    // The game object class for the player. It contains event starting
    // determinants and map scrolling functions.
    
    Game_Player.prototype.updateDashing = function() {
        if (this.isMoving()) {
            return;
        }
        if (this.canMove() && !this.isInVehicle() && !$gameMap.isDashDisabled()) {
            if (this.isDashButtonTriggered()) {
                this._dashing = !this._dashing;
            }
        } else {
            this._dashing = false;
        }
    };
    
    Game_Player.prototype.isDashButtonTriggered = function() {
        var shift = Input.isTriggered('shift');
        if (ConfigManager.alwaysDash) {
            return !shift;
        } else {
            return shift;
        }
    };
    
})();
